CostFunction Class Referenceabstract

`#include <costfunctions.h>`

Inheritance diagram for CostFunction:
Collaboration diagram for CostFunction:

## Public Member Functions

| CostFunction ()
| CostFunction (const CostFunction &)
virtual | ~CostFunction ()
virtual double | get () const =0

## Constructor & Destructor Documentation

## CostFunction() [1/2]

CostFunction::CostFunction | ( |  | ) |

inline

## CostFunction() [2/2]

CostFunction::CostFunction | ( | const CostFunction & |  | ) |

inline

## ~CostFunction()

virtual CostFunction::~CostFunction | ( |  | ) |

inlinevirtual

## Member Function Documentation

## get()

virtual double CostFunction::get | ( |  | ) | const

pure virtual

Implemented in Distance, and Khi2.

The documentation for this class was generated from the following file:

- costfunctions.h